package com.ccnode.codegenerator.C;

package .tmp;

import com.ccnode.codegenerator.view.h.i;
import com.ccnode.codegenerator.view.h.q;
import com.intellij.openapi.editor.Editor;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.util.PsiTreeUtil;
import com.intellij.util.IncorrectOperationException;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.kotlin.psi.KtClass;
import org.jetbrains.kotlin.psi.KtClassBody;
import org.jetbrains.uast.UClass;
import org.jetbrains.uast.UElement;
import org.jetbrains.uast.UastContextKt;

public class a extends q {
  public void invoke(@NotNull Project paramProject, Editor paramEditor, @NotNull PsiElement paramPsiElement) throws IncorrectOperationException {
    KtClass ktClass = (KtClass)PsiTreeUtil.getParentOfType(paramPsiElement, KtClass.class, false);
    UElement uElement = UastContextKt.toUElement((PsiElement)ktClass);
    if (uElement instanceof UClass) {
      UClass uClass = (UClass)uElement;
      PsiClass psiClass1 = uClass.getJavaPsi();
      PsiClass psiClass2 = psiClass1;
      i.a(paramProject, paramEditor, psiClass2);
    } 
  }
  
  public boolean startInWriteAction() {
    return false;
  }
  
  public boolean isAvailable(@NotNull Project paramProject, Editor paramEditor, @NotNull PsiElement paramPsiElement) {
    PsiFile psiFile = paramPsiElement.getContainingFile();
    if (!(psiFile instanceof org.jetbrains.kotlin.psi.KtFile))
      return false; 
    KtClass ktClass = (KtClass)PsiTreeUtil.getParentOfType(paramPsiElement, KtClass.class, false);
    if (ktClass == null)
      return false; 
    if (!ktClass.isInterface())
      return false; 
    KtClassBody ktClassBody = ktClass.getBody();
    if (ktClassBody == null)
      return false; 
    if (paramPsiElement.getTextOffset() >= ktClassBody.getTextOffset())
      return false; 
    return true;
  }
  
  @NotNull
  public String getText() {
    return "Generate mybatis xml for current class";
  }
}
